package com.engidea.comm;
import java.util.*;

/*
  WinJcom is a native interface to serial ports in java.
  Copyright 2007 by Damiano Bolla, Jcomm@engidea.com

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License
*/

/**
 * If an Object wants to listen to serial events it shouldimplement
 * this interface and then attash itseld to the port using the 
 * public abstract void setEventListener(SerialPortEventListener lsnr)
 */
public interface SerialPortEventListener extends EventListener
  {
  public abstract void serialEvent( SerialPortEvent ev );
  }
